org.apache.myfaces.trinidad.event

## Class RowKeySetChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.apache.myfaces.trinidad.event.RowKeySetChangeEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    RowDisclosureEvent, SelectionEvent

      public abstract class RowKeySetChangeEvent
      extends javax.faces.event.FacesEvent

  Event that is generated when the contents of a RowKeySet changes.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowKeySetChangeEvent(RowKeySet oldSet, RowKeySet newSet, javax.faces.component.UIComponent source)` This constructor lazily computes the difference between the oldSet and the newSet.
    `RowKeySetChangeEvent(javax.faces.component.UIComponent source, RowKeySet removedSet, RowKeySet addedSet)` Creates a new Event.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RowKeySet` | `getAddedSet()` Gets the Set of keys that have just been added.
    `RowKeySet` | `getRemovedSet()` Gets the Set of keys that have just been removed.

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, isAppropriateListener, processListener, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RowKeySetChangeEvent

          public RowKeySetChangeEvent(javax.faces.component.UIComponent source,
                              RowKeySet removedSet,
                              RowKeySet addedSet)

      Creates a new Event.
      Parameters:
        `addedSet` - This is the Set of keys that have just been added.
        `removedSet` - This is the Set of keys that have just been removed.

    - #### RowKeySetChangeEvent

          public RowKeySetChangeEvent(RowKeySet oldSet,
                              RowKeySet newSet,
                              javax.faces.component.UIComponent source)

      This constructor lazily computes the difference between the oldSet and the newSet.
      Parameters:
        `oldSet` - This is the Set of keys before any changes.
        `newSet` - This is the Set of keys after any changes.

  - ### Method Detail

    - #### getAddedSet

          public RowKeySet getAddedSet()

      Gets the Set of keys that have just been added.

    - #### getRemovedSet

          public RowKeySet getRemovedSet()

      Gets the Set of keys that have just been removed.

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.